'use strict';

const utils = require('@morev/utils');
const constants = require('./shared/commitlint-config.4882fa67.cjs');

const makeSmooth = (_config) => {
  const config = utils.deepClone(_config);
  Object.entries(config.rules).forEach(([name, value]) => {
    if (value[0] === constants.ERROR)
      value[0] = constants.WARNING;
  });
  return config;
};
const modifyTypeEnum = (_config, { add, remove }) => {
  const config = utils.deepClone(_config);
  if (add && Array.isArray(add) && add.length) {
    config.rules["type-enum"][2] = [...config.rules["type-enum"][2], ...add];
  }
  if (remove && Array.isArray(remove) && remove.length) {
    config.rules["type-enum"][2] = config.rules["type-enum"][2].filter((e) => !remove.includes(e));
  }
  return config;
};

exports.makeSmooth = makeSmooth;
exports.modifyTypeEnum = modifyTypeEnum;
